<?php

namespace App\Http\Controllers\AccessPublic;

use App\Campaign;
use App\Http\Controllers\Controller;
use App\Traits\ApiResponser;
use Illuminate\Database\Eloquent\Collection;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Storage;

class CampaignWitnessController extends Controller
{
    use ApiResponser;

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Campaign $campaign)
    {
        $witnesses = $campaign->witnesses;
        return $this->showAll( Collection::make($witnesses) );
    }

    public function downloadImage( $img )
    {
        $img = base64_decode( $img );
        if (Storage::disk('campaign_witnesses')->exists($img)) {
            return Storage::disk('campaign_witnesses')->download($img);
        }
    }
}
