<?php

namespace App\Http\Controllers\AccessPublic;

use App\Campaign;
use App\Http\Controllers\Controller;
use App\Traits\ApiResponser;
use Illuminate\Http\Request;

class CampaingPublicController extends Controller
{
    use ApiResponser;

    /**
     * Display the specified resource.
     *
     * @param  \App\Campaign  $campaign
     * @return \Illuminate\Http\Response
     */
    public function show(Campaign $campaign)
    {
        $campaign = $campaign->makeHidden( ['investment', 'start', 'finish', 'status', 'editable', 'created_at', 'updated_at']);

        $walls = $campaign->walls->makeHidden( ['local_currency', 'company_id', 'pivot'] );

        $polygons = $campaign->polygons;

        $points_of_interest = $campaign->pointsOfInterest;

        return $this->showOne($campaign);
    }

}
