<?php

namespace App\Http\Controllers\AvailabilityWall;

use App\AvailabilityWall;
use App\Campaign;
use App\Http\Controllers\ApiController;
use App\Http\Controllers\Controller;
use App\Wall;
use Illuminate\Database\Eloquent\Collection;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;

class AvailabilityWallController extends ApiController
{
    public function __construct()
    {
        parent::__construct();
        $this->middleware( 'can:availability.availabilityWallYear' )->only( 'availabilityWallYear' );
        $this->middleware( 'can:availability.index' )->only( 'index' );
        $this->middleware( 'can:availability.storeDatesProvider' )->only( 'storeDatesProvider' );
        $this->middleware( 'can:availability.destroy' )->only( 'destroy' );
        $this->middleware( 'can:availability.updateWeekDateWall' )->only( 'updateWeekDateWall' );
    }

    /**
     * Display a listing of the resource.
     * Obtener disponibulidad de un muro con un año
    /*
    Superadministrators
    Administrators
    AdminProvider
    Salesmanager
    Sellercost
    Customercost

     * @return \Illuminate\Http\Response
     */
    public function availabilityWallYear(Wall $wall, $year)
    {
        $monthsAvailability = [
            ['name' => 'ft_jan', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_jan', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_jan', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_jan', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_feb', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_feb', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_feb', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_feb', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_mar', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_mar', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_mar', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_mar', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_apr', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_apr', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_apr', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_apr', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_may', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_may', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_may', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_may', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_jun', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_jun', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_jun', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_jun', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_jul', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_jul', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_jul', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_jul', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_aug', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_aug', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_aug', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_aug', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_sep', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_sep', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_sep', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_sep', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_oct', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_oct', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_oct', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_oct', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_nov', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_nov', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_nov', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_nov', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'ft_dec', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'sd_dec', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'td_dec', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0],
            ['name' => 'fh_dec', 'value' => 0, 'company_availability_flag' => 0, 'active' => 0]
        ];

        $availabilityWallYear = AvailabilityWall::where(
            [
                'year' => $year,
                'wall_id' => $wall->id
            ]
        )->get();

        foreach ($availabilityWallYear as $key => $availabilityWall) {
            foreach ($monthsAvailability as $key => $month) {
                if ($availabilityWall[$month['name']]) {
                    $monthsAvailability[$key]['value']++;
                    $monthsAvailability[$key]['company_availability_flag'] = $availabilityWall->company_availability_flag;
                    $monthsAvailability[$key]['active'] = $availabilityWall->active;
                }
            }
        }

        return $this->showAll( Collection::make($monthsAvailability) );
    }

    /**
     * Display a listing of the resource.
     * Obtener listado de muros con su disponibilidad
    /*
    Superadministrators
    Administrators
    AdminProvider
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $rules = [
            'company_id' => ['numeric'],
            'country_id' => ['numeric'],
            'states.*' => ['string']
        ];

        $this->validate(request(), $rules);

        if ( !request()->all() ) {
            return $this->errorResponse('Error, country or company is required', 400);
        }

        $arr = request()->all();
        unset($arr['states']);

        if (auth()->user()->hasRole('superadministrator') || auth()->user()->hasRole('administrator')) {
            $availabilityWallYear = Wall::select(
                    'walls.id', 'walls.provider_wall_id', 'walls.type', 'availability_walls.campaign_id',
                    'availability_walls.ft_jan', 'availability_walls.sd_jan', 'availability_walls.td_jan',
                    'availability_walls.fh_jan', 'availability_walls.ft_feb', 'availability_walls.sd_feb',
                    'availability_walls.td_feb','availability_walls.fh_feb', 'availability_walls.ft_mar',
                    'availability_walls.sd_mar', 'availability_walls.td_mar', 'availability_walls.fh_mar',
                    'availability_walls.ft_apr', 'availability_walls.sd_apr', 'availability_walls.td_apr',
                    'availability_walls.fh_apr', 'availability_walls.ft_may', 'availability_walls.sd_may',
                    'availability_walls.td_may', 'availability_walls.fh_may', 'availability_walls.ft_jun',
                    'availability_walls.sd_jun', 'availability_walls.td_jun', 'availability_walls.fh_jun',
                    'availability_walls.ft_jul', 'availability_walls.sd_jul', 'availability_walls.td_jul',
                    'availability_walls.fh_jul', 'availability_walls.ft_aug', 'availability_walls.sd_aug',
                    'availability_walls.td_aug', 'availability_walls.fh_aug', 'availability_walls.ft_sep',
                    'availability_walls.sd_sep', 'availability_walls.td_sep', 'availability_walls.fh_sep',
                    'availability_walls.ft_oct', 'availability_walls.sd_oct', 'availability_walls.td_oct',
                    'availability_walls.fh_oct', 'availability_walls.ft_nov', 'availability_walls.sd_nov',
                    'availability_walls.td_nov', 'availability_walls.fh_nov', 'availability_walls.ft_dec',
                    'availability_walls.sd_dec', 'availability_walls.td_dec', 'availability_walls.fh_dec',
                    'availability_walls.company_availability_flag', 'availability_walls.active'
                )
                ->join('availability_walls', function ($join) {
                    $join->on('walls.id', '=', 'availability_walls.wall_id')
                        ->where([
                            'availability_walls.year' => request('year'),
                            'walls.disabled' => false
                        ]);
                    }
                )->where(function($query) use($arr) {
                    foreach ($arr as $key => $req) {
                        $query->where( 'walls.' . $key, $req);
                    }
                });

            if ( request( 'country_id' ) && request( 'states' ) ) {
                $availabilityWallYear = $availabilityWallYear->whereIn( 'walls.state', request('states') );
            }
            $availabilityWallYear = $availabilityWallYear->orderBy( 'walls.id', 'asc' )->get();


            $idsWalls = [];
            foreach ($availabilityWallYear as $key => $availability) {
                if (!in_array($availability->id, $idsWalls)) {
                    array_push($idsWalls, $availability->id);
                }
            }

            $walls = Wall::select('id', 'provider_wall_id', 'type')
                ->whereNotIn('id', $idsWalls)
                ->where(function($query) use($arr) {
                    foreach ($arr as $key => $req) {
                        $query->where( 'walls.' . $key, $req);
                    }
                });
            if ( request( 'country_id' ) && request( 'states' ) ) {
                $walls = $walls->whereIn( 'walls.state', request('states') );
            }
            $walls = $walls->orderBy( 'id', 'asc' )->get();

            $data = [ 'walls_availability' => $availabilityWallYear, 'walls' => $walls ];
            return $this->showAll( Collection::make($data) );
        }

        if (auth()->user()->hasRole('administratorprovider')) {

            $availabilityWallYear = auth()->user()
                ->company
                ->walls()
                ->select(
                    'walls.id', 'walls.provider_wall_id', 'walls.type', 'availability_walls.campaign_id',
                    'availability_walls.ft_jan', 'availability_walls.sd_jan', 'availability_walls.td_jan',
                    'availability_walls.fh_jan', 'availability_walls.ft_feb', 'availability_walls.sd_feb',
                    'availability_walls.td_feb','availability_walls.fh_feb', 'availability_walls.ft_mar',
                    'availability_walls.sd_mar', 'availability_walls.td_mar', 'availability_walls.fh_mar',
                    'availability_walls.ft_apr', 'availability_walls.sd_apr', 'availability_walls.td_apr',
                    'availability_walls.fh_apr', 'availability_walls.ft_may', 'availability_walls.sd_may',
                    'availability_walls.td_may', 'availability_walls.fh_may', 'availability_walls.ft_jun',
                    'availability_walls.sd_jun', 'availability_walls.td_jun', 'availability_walls.fh_jun',
                    'availability_walls.ft_jul', 'availability_walls.sd_jul', 'availability_walls.td_jul',
                    'availability_walls.fh_jul', 'availability_walls.ft_aug', 'availability_walls.sd_aug',
                    'availability_walls.td_aug', 'availability_walls.fh_aug', 'availability_walls.ft_sep',
                    'availability_walls.sd_sep', 'availability_walls.td_sep', 'availability_walls.fh_sep',
                    'availability_walls.ft_oct', 'availability_walls.sd_oct', 'availability_walls.td_oct',
                    'availability_walls.fh_oct', 'availability_walls.ft_nov', 'availability_walls.sd_nov',
                    'availability_walls.td_nov', 'availability_walls.fh_nov', 'availability_walls.ft_dec',
                    'availability_walls.sd_dec', 'availability_walls.td_dec', 'availability_walls.fh_dec',
                    'availability_walls.company_availability_flag', 'availability_walls.active'
                )
                ->join('availability_walls', function ($join) {
                    $join->on('walls.id', '=', 'availability_walls.wall_id')
                        ->where([
                            'availability_walls.year' => request('year'),
                            'walls.disabled' => false
                        ]);
                })
                ->where(function($query) use($arr) {
                    foreach ($arr as $key => $req) {
                        $query->where( 'walls.' . $key, $req);
                    }
                });

                if ( request( 'country_id' ) && request( 'states' ) ) {
                    $availabilityWallYear = $availabilityWallYear->whereIn( 'walls.state', request('states') );
                }
            $availabilityWallYear = $availabilityWallYear->orderBy( 'walls.id', 'asc' )->get();

            $idsWalls = [];
            foreach ($availabilityWallYear as $key => $availability) {
                if (!in_array($availability->id, $idsWalls)) {
                    array_push($idsWalls, $availability->id);
                }
            }

            $walls = auth()->user()
                ->company
                ->walls()
                ->whereNotIn('id', $idsWalls)
                ->where(function($query) use($arr) {
                    foreach ($arr as $key => $req) {
                        $query->where( 'walls.' . $key, $req);
                    }
                });
            if ( request( 'country_id' ) && request( 'states' ) ) {
                $walls = $walls->whereIn( 'walls.state', request('states') );
            }
            $walls = $walls->orderBy( 'id', 'asc' )->get();
            $data = ['walls_availability' => $availabilityWallYear, 'walls' => $walls];
            return $this->showAll( Collection::make($data) );
        }
    }

    /**
     * Store a newly created resource in storage.
     * Agregar fechas de proveedor
    /*
    Superadministrators
    Administrators,
    AdminProvider
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function storeDatesProvider()
    {
        $data = [
            'wall_id'       =>  request('wallId'),
            'year'          =>  request('year'),
            'company_availability_flag' => true
        ];

        foreach (request('weeks') as $key => $week) {
            if ($week) {
                $data[$week] = true;
            }
        }

        AvailabilityWall::create($data);

        return $this->showMessage('Dates added', 200);
    }


    /**
     * Remove the specified resource from storage.
     * Eliminar fechas del proveedor
    Superadministrators
    Administrators,
    AdminProvider
     *
     * @param  \App\AvailabilityWall  $availabilityWall
     * @return \Illuminate\Http\Response
     */
    public function destroy(Wall $wall)
    {
        $dates = AvailabilityWall::where(['wall_id' => $wall->id, 'year'  => request('year'), 'company_availability_flag' => true])->get()->each->delete();
        return $this->showMessage('Deleted dates', 200);
    }

    /**
     * Remove the specified resource from storage.
     * Eliminar semana del proveedor
    Superadministrators
    Administrators,
    AdminProvider
     *
     * @param  \App\AvailabilityWall  $availabilityWall
     * @return \Illuminate\Http\Response
     */
    public function updateWeekDateWall(Wall $wall, $week)
    {
        $date = AvailabilityWall::where(['wall_id' => $wall->id, 'company_availability_flag'  => true, $week => true])->firstOrFail();
        $date->$week = false;
        $date->save();
        return $this->showOne($date);
    }
}
