<?php

namespace App\Http\Controllers\Circuit;

use App\Circuit;
use App\Http\Controllers\ApiController;
use App\Http\Controllers\Controller;
use Illuminate\Http\Request;

class CircuitWallController extends ApiController
{
    public function __construct()
    {
        parent::__construct();
        $this->middleware('can:circuits.walls.index')->only('index');
        $this->middleware('can:circuits.walls.getNumberWallsCircuit')->only('getNumberWallsCircuit');
    }

    /**
     * Obtener pantallas de un circuito
        ROLES
        ** Superadministradores
        ** Administradores
        ** Salesmanager
        ** Adminprovider
        ** Sellercosts
        ** Seller
        ** Customercosts
        ** customer
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function index(Circuit $circuit)
    {
        $circuit = $circuit->walls
                           ->load( 'circuit:id,name' )
                           ->makeHidden('local_currency');
        return $this->showAll($circuit);
    }

    /**
     * Obtener numero de pantallas de un circuito
        ROLES
        ** Superadministradores
        ** Administradores
        ** Salesmanager
        ** Adminprovider
        ** Sellercosts
        ** Seller
        ** Customercosts
        ** customer
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function getNumberWallsCircuit(Circuit $circuit)
    {
        return $this->showMessage( ['walls' => $circuit->walls->count()], 200 );
    }
}
