<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\ApiController;
use App\Http\Controllers\Controller;
use Illuminate\Database\Eloquent\Collection;
use App\User;
use Illuminate\Http\Request;

class UserCampaignController extends ApiController
{
	public function __construct()
    {
        parent::__construct();
        $this->middleware( 'can:users.campaigns.index' )->only( 'index' );
    }

    /**
     * Listar las campañas de un usuario.
     *      -Administradores
     *      -Administradores Ventas
     *
     *
     * @return \Illuminate\Http\Response
     */
    public function index( User $user )
    {
        if ( !auth()->user()->hasRole( 'superadministrator' ) && !auth()->user()->hasRole( 'administrator' ) ) {

            if ( auth()->user()->hasRole( 'salesManager' ) ) {

                if ( auth()->user()->id != $user->admin_registry_id ) {

                    return $this->errorResponse('Error, you do not have access to this resource', 422);

                }

            }

        }

        return $this->showAll( Collection::make($user->campaigns_sellers()->paginate(12)) );
    }
}
