<?php

namespace App;

use App\Impact;
use App\Wall;
use Illuminate\Database\Eloquent\Model;

class ImpactData extends Model
{
    protected $table = 'impacts_data';

    protected $fillable = [
		'impact_id',
		'wall_id',
		'female_sex',
		'male_sex',
		'ages_13_17',
		'ages_18_25',
		'ages_26_40',
		'ages_41_55',
		'ages_55',
		'sl_a',
		'sl_b',
		'sl_c',
		'sl_d',
		'sl_e',
		'total',
		'frequency',
		'reach'
    ];

    public function impact() {
        return $this->belongsTo(Impact::class);
    }

    public function wall() {
        return $this->belongsTo(Wall::class);
    }
}
