<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateImpactsDataTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('impacts_data', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('impact_id')->unsigned()->nullable(false);
            $table->integer('screen_id');
            $table->double('female_sex');
            $table->double('male_sex');
            $table->string('predominant_sex');
            $table->double('ages_13_17');
            $table->double('ages_18_25');
            $table->double('ages_26_40');
            $table->double('ages_41_55');
            $table->double('ages_55');
            $table->string('predominant_age');
            $table->double('sl_a');
            $table->double('sl_b');
            $table->double('sl_c');
            $table->double('sl_d');
            $table->double('sl_e');
            $table->string('predominant_sl');
            $table->double('total');
            $table->double('reach');
            $table->timestamps();

            $table->foreign('screen_id')->references('id')->on('screens');
            $table->foreign('impact_id')->references('id')->on('impacts');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('impacts_data');
    }
}
