<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreatePublicTransportsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('public_transports', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('company_id');
            $table->integer('country_id');
            $table->string('type');
            $table->string('type_of_vehicle')->nullable();
            $table->string('state');
            $table->string('town_hall_delegation')->nullable();
            $table->string('suburb')->nullable();
            $table->string('street')->nullable();
            $table->string('location_number')->nullable();
            $table->string('postal_code')->nullable();
            $table->string('measure_in_pixels')->nullable();
            $table->string('measure_in_meters')->nullable();
            $table->boolean('photographic_witness')->nullable();
            $table->integer('witness_time')->nullable();
            $table->integer('spot_time_seconds')->nullable();
            $table->double('local_currency')->nullable();
            $table->string('description')->nullable();
            $table->string('purchase_remarks')->nullable();
            $table->string('url_img')->nullable();
            $table->integer('number_of_units')->nullable();
            $table->integer('minimum_number_units_contract')->nullable();
            $table->integer('number_screens')->nullable();
            $table->boolean('supports_image')->nullable();
            $table->boolean('supports_video')->nullable();
            $table->boolean('supports_image_gif')->nullable();
            $table->string('minimun_days')->nullable();
            $table->string('minimun_spots')->nullable();
            $table->string('tags')->nullable();
            $table->string('black_list')->nullable();
            $table->boolean('disabled')->nullable()->default(false);
            $table->string('modality')->nullable();
            $table->integer('capacity')->nullable();
            $table->integer('total_people_per_month')->nullable();
            $table->boolean('contained')->nullable();
            $table->string('in_or_out')->nullable();
            $table->string('public_or_app')->nullable();
            $table->string('route')->nullable();
            $table->timestamps();

            $table->foreign('company_id')->references('id')->on('companies');
            $table->foreign('country_id')->references('id')->on('countries');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('public_transports');
    }
}
