<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateCampaignMapingsFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('campaign_mapings_files', function (Blueprint $table) {
            $table->increments('id');

            $table->integer('campaign_id');
            $table->integer('mapping_file_id')->unsigned()->nullable(false);

            $table->foreign('campaign_id')->references('id')->on('campaigns');
            $table->foreign('mapping_file_id')->references('id')->on('mappings_files');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('campaign_mapings_files');
    }
}
