<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionImpactTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Listar todos los impactos',
    		'slug'			=>			'impacts.index',
    		'description'	=>			'Listar todos los impactos'
    	]);

    	/*
            Superadministrador
            Administrador
            Administrador ventas
            Administrador proveedor
            Vendedores Costos
            Vendedores
			Clientes Cosots
			Clientes
        */
        Permission::create([
    		'name'			=>			'Obtener impactos filtrados',
    		'slug'			=>			'impacts.filteredImpacts',
    		'description'	=>			'Obtener impactos filtrados'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Listar todos los impactos de un impacto',
    		'slug'			=>			'impacts.getImpacts',
    		'description'	=>			'Listar todos los impactos de un impacto'
    	]);

    	/*
            Superadministrador
            Administrador
            Administrador ventas
            Administrador proveedor
            Vendedores Costos
            Vendedores
			Clientes Cosots
			Clientes
        */
        Permission::create([
    		'name'			=>			'Listar impactos rango de fechas',
    		'slug'			=>			'impacts.getImpactsDataRange',
    		'description'	=>			'Listar impactos rango de fechas'
    	]);

    	/*
            Superadministrador
            Administrador
            Administrador ventas
            Administrador proveedor
            Vendedores Costos
            Vendedores
			Clientes Cosots
			Clientes
        */
        Permission::create([
    		'name'			=>			'Listar ultimos seis impactos de una pantalla',
    		'slug'			=>			'impacts.getImpactsScreen',
    		'description'	=>			'Listar ultimos seis impactos de una pantalla'
    	]);

    	/*
            Superadministrador
            Administrador
            Administrador ventas
            Administrador proveedor
            Vendedores Costos
            Vendedores
			Clientes Cosots
			Clientes
        */
        Permission::create([
    		'name'			=>			'Listar impactos de una pantalla',
    		'slug'			=>			'impacts.getImpactsListScreen',
    		'description'	=>			'Listar impactos de una pantalla'
    	]);

    	/*
            Superadministrador
            Administrador
            Administrador ventas
            Administrador proveedor
            Vendedores Costos
            Vendedores
			Clientes Cosots
			Clientes
        */
        Permission::create([
    		'name'			=>			'Listar impactos de un rango de fecha para auna pantalla',
    		'slug'			=>			'impacts.getImpactsScreenDataRange',
    		'description'	=>			'Listar impactos de un rango de fecha par auna pantalla'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Crear impacto',
    		'slug'			=>			'impacts.store',
    		'description'	=>			'Crear un impacto'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Crear impacto data',
    		'slug'			=>			'impacts.storeImpact',
    		'description'	=>			'Crear un impacto data'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Actualizar la data de un impacto',
    		'slug'			=>			'impacts.update',
    		'description'	=>			'Actualizar la data de un impacto'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Eliminar impactos',
    		'slug'			=>			'impacts.destroy',
    		'description'	=>			'Eliminar impactos'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Eliminar impacto',
    		'slug'			=>			'impacts.destroyImpact',
    		'description'	=>			'Eliminar impacto'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Subir archivo de impactos',
    		'slug'			=>			'impacts.uploadFile',
    		'description'	=>			'Subir archivo de impactos'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Eliminar archivo de impactos',
    		'slug'			=>			'impacts.deleteFile',
    		'description'	=>			'Eliminar archivo de impactos'
    	]);
    }
}
