<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsAvailabilityTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrators
			Administrators
			AdminProvider
			Salesmanager
			Sellercost
			Customercost
        */
        Permission::create([
            'name'          =>          'Obtener disponibilidad de un muro con una campaña',
            'slug'          =>          'availability.show',
            'description'   =>          'Obtener disponibilidad de un muro que tiene asiganad en una campaña'
        ]);

        /*
            Superadministrators
			Administrators
			AdminProvider
			Salesmanager
			Sellercost
			Customercost
        */
        Permission::create([
    		'name'			=>			'Actualizar disponibilidad de un muro con una campaña',
    		'slug'			=>			'availability.update',
    		'description'	=>			'Actualizar disponibilidad de un muro que tiene campaña'
    	]);

    	/* ################################################################# */

    	/*
            Superadministrators
			Administrators
			AdminProvider
			Salesmanager
			Sellercost
			Customercost
        */
        Permission::create([
            'name'          =>          'Obtener disponibilidad de un muro con un año',
            'slug'          =>          'availability.availabilityWallYear',
            'description'   =>          'Obtener disponibilidad de un muro que tiene asiganad en una campaña'
        ]);

        /*
            Superadministrators
			Administrators
			AdminProvider
        */
        Permission::create([
            'name'          =>          'Obtener listado de muros con su disponibilidad',
            'slug'          =>          'availability.index',
            'description'   =>          'Obtener disponibilidad de un muro que tiene asiganad en una campaña'
        ]);

        /*
            Superadministrators
			Administrators
			AdminProvider
        */
        Permission::create([
            'name'          =>          'Agregar fechas de disponibilidad del proveedor',
            'slug'          =>          'availability.storeDatesProvider',
            'description'   =>          'Agregar fehcas no disponibles del proveedor'
        ]);

        /*
            Superadministrators
			Administrators
			AdminProvider
        */
        Permission::create([
            'name'          =>          'Eliminar fechas no disponible del proveedor',
            'slug'          =>          'availability.destroy',
            'description'   =>          'Eliminar fechas no disponible del proveedor'
        ]);
    }
}
