<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsCampaignsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Listar campañas',
    		'slug'			=>			'campaigns.index',
    		'description'	=>			'Listara todas las campañas'
    	]);

    	/*
            Salesmanager
        */
        Permission::create([
    		'name'			=>			'Campañas relacionadas con un administrador ventas',
    		'slug'			=>			'campaigns.campaingsAdminSales',
    		'description'	=>			'Listara todas las campañas relacionadas con un administrador ventas'
    	]);

    	/*
            -Superadministradores
            -Administradores
            -Salesmanager
            -Sellers costs
            -Sellers
            -Customer costs
            -Customer
        */
        Permission::create([
    		'name'			=>			'Listar campañas de un usuario logeado',
    		'slug'			=>			'campaigns.myCampaigns',
    		'description'	=>			'Listara todas las campañas de un usuario logeado'
    	]);

    	/*
            -Customer costs
            -Customer
        */
        Permission::create([
    		'name'			=>			'Listar campañas de un cliente logeado',
    		'slug'			=>			'campaigns.customerCampaigns',
    		'description'	=>			'Listara todas las campañas de un cliente logeado que se le asignaron'
    	]);

    	/*
            -Superadministradores
            -Administradores
            -Salesmanager
            -Sellers costs
            -Sellers
            -Customer costs
            -Customer
        */
        Permission::create([
    		'name'			=>			'Crear campañas',
    		'slug'			=>			'campaigns.store',
    		'description'	=>			'Crear campañas'
    	]);

    	/*
            -Superadministradores
            -Administradores
            -Salesmanager
            -Sellers costs
            -Sellers
            -Customer costs
            -Customer
        */
        Permission::create([
    		'name'			=>			'Mostrar una campaña',
    		'slug'			=>			'campaigns.show',
    		'description'	=>			'Mostrar una campaña en especifico'
    	]);

    	/*
            -Superadministradores
            -Administradores
            -Salesmanager
            -Sellers costs
            -Sellers
            -Customer costs
            -Customer
        */
        Permission::create([
    		'name'			=>			'Actualizar una campaña',
    		'slug'			=>			'campaigns.update',
    		'description'	=>			'Actualizar una campaña en especifico'
    	]);

        /*
            -Superadministradores
            -Administradores
            -Salesmanager
            -Sellers costs
            -Sellers
            -Customer costs
            -Customer
        */
        Permission::create([
            'name'          =>          'Eliminar una campaña',
            'slug'          =>          'campaigns.destroy',
            'description'   =>          'Eliminar campañas'
        ]);

    	/*
            -Superadministradores
            -Administradores
            -Salesmanager
            -Sellers costs
            -Sellers
            -Customer costs
            -Customer
        */
        Permission::create([
    		'name'			=>			'Duplicar una campaña',
    		'slug'			=>			'campaigns.duplicate',
    		'description'	=>			'Duplicar una campaña en especifico'
    	]);

        /*
            -Superadministradores
            -Administradores
        */
        Permission::create([
    		'name'			=>			'Deshabilitar una campaña',
    		'slug'			=>			'campaigns.disableCampaign',
    		'description'	=>			'Deshabilitar una campaña en especifico'
    	]);

    	/*
            -Superadministradores
            -Administradores
        */
        Permission::create([
    		'name'			=>			'Habilitar una campaña',
    		'slug'			=>			'campaigns.activateCampaign',
    		'description'	=>			'Habilitar una campaña en especifico'
    	]);

        /*
            -Superadministradores
            -Administradores
        */
        Permission::create([
            'name'          =>          'Listar todas las campañas editables',
            'slug'          =>          'campaigns.getAllCampaignsEditables',
            'description'   =>          'Listar todas las campañas que son editables'
        ]);

        /*
            -Superadministradores
            -Administradores
            -Salesmanager
            -Sellers costs
            -Sellers
            -Customer costs
            -Customer
        */
        Permission::create([
            'name'          =>          'Listar campañas editables usuario logeado',
            'slug'          =>          'campaigns.getAllMyCampaignsEditables',
            'description'   =>          'Listar todas las campañas que son editables de un usuario logeado'
        ]);

        /*
            -Salesmanager
        */
        Permission::create([
            'name'          =>          'Listar campañas editables de un administrador ventas',
            'slug'          =>          'campaigns.getAllCampaignsEditablesAdminSales',
            'description'   =>          'Listar todas las campañas editables de un administrador ventas'
        ]);

        /*
            -Superadministrator
            -Administrator
            -Salesmanager
        */
        Permission::create([
            'name'          =>          'Buscar una campaña de todos',
            'slug'          =>          'campaigns.search',
            'description'   =>          'Buscar una campaña de todos los usuarios'
        ]);

        /*
            -Superadministrator
            -Administrator
            -Salesmanager
            -Customer costs
            -Customer
            -Seller costs
            -Seller
        */
        Permission::create([
            'name'          =>          'Buscar una campaña propia',
            'slug'          =>          'campaigns.searchMe',
            'description'   =>          'Buscar una campaña de un usuario logeado'
        ]);

        /*
            -Superadministrator
            -Administrator
            -Salesmanager
            -Customer costs
            -Seller costs
        */
        Permission::create([
            'name'          =>          'Descargar PDF presupuesto',
            'slug'          =>          'campaigns.getPDFBudget',
            'description'   =>          'Descargar PDF presupuesto'
        ]);

    }
}
