<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsCompanyTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Listar todas las empresas',
    		'slug'			=>			'companies.index',
    		'description'	=>			'Listar todas las empresas'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Listar todas las empresas administrador',
    		'slug'			=>			'companies.administrator',
    		'description'	=>			'Listar todas las empresas tipo administrador'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Listar todas las empresas proveedores',
    		'slug'			=>			'companies.provider',
    		'description'	=>			'Listar todas las empresas tipo proveedores'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Listar todas las empresas vendedores',
    		'slug'			=>			'companies.reseller',
    		'description'	=>			'Listar todas las empresas tipo vendedores'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            Reseller
        */
        Permission::create([
    		'name'			=>			'Listar todas las empresas clientes',
    		'slug'			=>			'companies.client',
    		'description'	=>			'Listar todas las empresas tipo clientes'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            Reseller
        */
        Permission::create([
    		'name'			=>			'Crear empresas',
    		'slug'			=>			'companies.store',
    		'description'	=>			'Crear empresas'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            Reseller
        */
        Permission::create([
    		'name'			=>			'Mostrar una empresa',
    		'slug'			=>			'companies.show',
    		'description'	=>			'Mostrar una empresa'
    	]);

    	/*
            Superadministrador
            Administrador
            Salesmanager
            Reseller
        */
        Permission::create([
    		'name'			=>			'Actualizar empresas',
    		'slug'			=>			'companies.update',
    		'description'	=>			'Actualizar empresas'
    	]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Asingar multiplicador a proveedores',
            'slug'          =>          'companies.setMultiplierProvider',
            'description'   =>          'Asignar multiplicador  a empresas tipo proveedor'
        ]);

        /*
            Superadministrador
            Administrador
            Salesmanager
            Sellercosts
            Customercosts
        */
        Permission::create([
            'name'          =>          'Obtener el multiplicador de proveedor',
            'slug'          =>          'companies.getMultiplierProvider',
            'description'   =>          'Obtener el multiplicador de una empresa de tipo proveedor proveedor'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Asingar multiplicador a reseller',
            'slug'          =>          'companies.setMultiplierReseller',
            'description'   =>          'Asignar multiplicador  a empresas tipo reseller'
        ]);

        /*
            Superadministrador
            Administrador
            Salesmanager
            Sellercosts
            Customercosts
        */
        Permission::create([
            'name'          =>          'Obtener el multiplicador de reseller',
            'slug'          =>          'companies.getMultiplierReseller',
            'description'   =>          'Obtener el multiplicador de una empresa de tipo reseller'
        ]);

        /*
            Superadministrador
            Administrador
            Salesmanager
            Sellercosts
            Customercosts
        */
        Permission::create([
            'name'          =>          'Obtener el multiplicador de empresas',
            'slug'          =>          'companies.getMultiplierProvidersCampaign',
            'description'   =>          'Obtner el multiplicador de empresas de proveedores de una campaña'
        ]);

        /*
            Superadministrador
            Administrador
            Salesmanager
            Sellercosts
            Seller
        */
        Permission::create([
            'name'          =>          'Buscar una empresa',
            'slug'          =>          'companies.search',
            'description'   =>          'Buscar una empresa'
        ]);

    }
}
