<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsScreensTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Listar todas las pantallas',
            'slug'          =>          'screens.index',
            'description'   =>          'Listar todas las pantallas'
        ]);

        /*
            Superadministrador
            Administrador
            Administrador ventas
            Administrador proveedor
            Vendedores Costos
            Vendedores
			Clientes Cosots
			Clientes
        */
        Permission::create([
    		'name'			=>			'Listar pantallas filtradas',
    		'slug'			=>			'screens.filteredScreens',
    		'description'	=>			'Listar pantallas filtradas'
    	]);

        /*
            Superadministrador
            Administrador proveedor
        */
        Permission::create([
            'name'          =>          'Listar pantallas administrador proveedor',
            'slug'          =>          'screens.getScreenProvider',
            'description'   =>          'Listar pantallas de un administrador de proveedor'
        ]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Crear pantallas',
    		'slug'			=>			'screens.store',
    		'description'	=>			'Crear pantallas'
    	]);

    	/*
            Superadministrador
            Administrador
            Administrador ventas
            Administrador proveedor
            Vendedores Costos
            Vendedores
			Clientes Cosots
			Clientes
        */
        Permission::create([
    		'name'			=>			'Mostrar una pantalla',
    		'slug'			=>			'screens.show',
    		'description'	=>			'Mostrar una pantalla'
    	]);

    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Actualizar pantallas',
    		'slug'			=>			'screens.update',
    		'description'	=>			'Actualizar pantallas'
    	]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Subir imagen pantalla',
            'slug'          =>          'screens.uploadImage',
            'description'   =>          'Subir imágenes sin ser guardadas en una pantalla'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Eliminar imagen',
            'slug'          =>          'screens.deleteImage',
            'description'   =>          'Eliminar imagen solo del servidor'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Eliminar Iamgen Pantalla',
            'slug'          =>          'screens.deleteScreenImage',
            'description'   =>          'Eliminar imagen de una pantalla'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Buscar una pantalla',
            'slug'          =>          'screens.search',
            'description'   =>          'Buscar una pantalla'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Eliminar una pantalla',
            'slug'          =>          'screens.destroy',
            'description'   =>          'Eliminar una pantalla'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores Costos
            Vendedores
        */
        Permission::create([
            'name'          =>          'Buscar una pantalla por id del proveedor',
            'slug'          =>          'screens.searchScreenProviderId',
            'description'   =>          'Buscar una pantalla por id del proveedor'
        ]);

    }
}
