<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        /*
            Superadministrador
            Eliminar Usuarios
            Eliminar Pantallas
            Eliminar proveedores
            Eliminar Circuitos

        */



        // Users
        /*
            Superadministrador
            Administrador
            Administrador Ventas
            Vendedores
        */
        Permission::create([
    		'name'			=>			'Listar usuarios',
    		'slug'			=>			'users.index',
    		'description'	=>			'Listara todos los usuarios'
    	]);

        /*
            Superadministrador
            Administradorventas
        */
        Permission::create([
            'name'          =>          'Listar usuarios de un administrador ventas',
            'slug'          =>          'users.adminsales',
            'description'   =>          'Listara todos los usuarios de un administrador ventas'
        ]);

        /*
            Superadministrador
            Vendedores
        */
        Permission::create([
            'name'          =>          'Listar usuarios de un vendedor',
            'slug'          =>          'users.seller',
            'description'   =>          'Listara todos los usuarios de un vendedor'
        ]);

        /*
            Superadministrador
            Administrador
            Administrador Ventas
            Vendedores
        */
        Permission::create([
            'name'          =>          'Crear usuarios',
            'slug'          =>          'users.store',
            'description'   =>          'Crear usuarios'
        ]);

        /*
            Superadministrador
            Administrador
            Administrador Ventas
            Vendedores
        */
        Permission::create([
            'name'          =>          'Mostrar usuarios',
            'slug'          =>          'users.show',
            'description'   =>          'Mostrar un usuario en especifico'
        ]);

        /*
          Todos Revisar validacion para actualizar informacion del usuario logeado
          o en su defecnto crear un nuevo metodo
        */
        /*Permission::create([
            'name'          =>          'Actualizar usuarios',
            'slug'          =>          'users.update',
            'description'   =>          'Actualizar usuarios'
        ]);*/

        // UserCampaignController
        /*
            Superadministrador
            Administrador
            Administrador Ventas
        */
        Permission::create([
            'name'          =>          'Listar campañas de un usuario',
            'slug'          =>          'users.campaigns.index',
            'description'   =>          'Listara las campañas de un usuario'
        ]);

        // Tags
        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Crear tags',
            'slug'          =>          'tags.store',
            'description'   =>          'Crear tags'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Actualizar tags',
            'slug'          =>          'tags.update',
            'description'   =>          'Actualizar tags'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Eliminar tags',
            'slug'          =>          'tags.destroy',
            'description'   =>          'Eliminar tag'
        ]);

        // Screens
        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Crear pantallas',
            'slug'          =>          'screens.store',
            'description'   =>          'Crear pantallas'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Actualizar pantallas',
            'slug'          =>          'screens.update',
            'description'   =>          'Actualizar pantallas'
        ]);

        // Countries
        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Crear paises',
            'slug'          =>          'countries.store',
            'description'   =>          'Crear paises'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Actualizar paises',
            'slug'          =>          'countries.update',
            'description'   =>          'Actualizar paises'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Eliminar paises',
            'slug'          =>          'countries.destroy',
            'description'   =>          'Eliminar paises'
        ]);

        // Company
        /*
            Superadministrador
            Administrador
            Administrador ventas
        */
        Permission::create([
            'name'          =>          'Crear empresas',
            'slug'          =>          'companies.store',
            'description'   =>          'Crear empresas'
        ]);

        /*
            Superadministrador
            Administrador
            Administrador ventas
        */
        Permission::create([
            'name'          =>          'Actualizar empresas',
            'slug'          =>          'companies.update',
            'description'   =>          'Actualizar empresas'
        ]);

        // CompanyUser
        /*
            Superadministradores
            Administradores
            Administradores ventas
        */
        Permission::create([
            'name'          =>          'Listar usuarios de una empresa',
            'slug'          =>          'companies.users.index',
            'description'   =>          'Listara los usuarios de una empresa'
        ]);

        // Circuitos
        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Crear circuitos',
            'slug'          =>          'circuits.store',
            'description'   =>          'Crear circuitos'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Actualizar circuitos',
            'slug'          =>          'circuits.update',
            'description'   =>          'Actualizar circuitos'
        ]);

        // Campaings
        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar campañas',
            'slug'          =>          'campaigns.index',
            'description'   =>          'Actualizar circuitos'
        ]);

        /*
            Administradores Ventas
        */
        Permission::create([
            'name'          =>          'Listar campañas administrador ventas',
            'slug'          =>          'campaigns.adminsales',
            'description'   =>          'Listara todas las campañas relacionadas a sus usuarios'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Listar campañas',
            'slug'          =>          'campaigns.me',
            'description'   =>          'Listara todas las campañas (usuario logeado)'
        ]);

        /*
            Clientes
        */
        Permission::create([
            'name'          =>          'Listar campañas',
            'slug'          =>          'campaigns.customer',
            'description'   =>          'Listara campañas de un cliente logeado'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Crear campañas',
            'slug'          =>          'campaigns.store',
            'description'   =>          'Crear campañas'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Mostrar campañas',
            'slug'          =>          'campaigns.show',
            'description'   =>          'Ver una campaña en especifico'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Actualizar campañas',
            'slug'          =>          'campaigns.update',
            'description'   =>          'Actualizar una campaña'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Eliminar campañas',
            'slug'          =>          'campaigns.destroy',
            'description'   =>          'Eliminar una campaña'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Duplicar campañas',
            'slug'          =>          'campaigns.duplicate',
            'description'   =>          'Duplicar una campaña'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Desactivar campañas',
            'slug'          =>          'campaigns.disable',
            'description'   =>          'Desactivar una campaña'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Activar campañas',
            'slug'          =>          'campaigns.activate',
            'description'   =>          'Activar una campaña'
        ]);

        // Campaigns Point of Interest
        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Crear puntos de interes campañas',
            'slug'          =>          'campaigns.pointsofinterest.store',
            'description'   =>          'Crear puntos de interes en una campaña'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Eliminar puntos de interes campañas',
            'slug'          =>          'campaigns.pointsofinterest.destroy',
            'description'   =>          'Eliminar puntos de interes en una campaña'
        ]);

        // Campaigns Polygons
        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Crear poligonos campañas',
            'slug'          =>          'campaigns.polygons.store',
            'description'   =>          'Crear poligonos en una campaña'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Eliminar poligonos campañas',
            'slug'          =>          'campaigns.polygons.destroy',
            'description'   =>          'Eliminar poligonos en una campaña'
        ]);

        // CampaignScreen
        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Listar pantallas campañas',
            'slug'          =>          'campaigns.screens.index',
            'description'   =>          'Listar pantallas de una campaña'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Crear pantallas campañas',
            'slug'          =>          'campaigns.screens.store',
            'description'   =>          'Crear pantallas en una campaña'
        ]);

        /*
            Superadministradores
            Administradores
            Administradores Ventas
            Vendedores
            Clientes
        */
        Permission::create([
            'name'          =>          'Eliminar pantallas campañas',
            'slug'          =>          'campaigns.screens.destroy',
            'description'   =>          'Eliminar una pantalla de una campaña'
        ]);

        ///////////////////////////////////////////////////////////////////////////
        Permission::create([
            'name'          =>          'Listar Superadministradores',
            'slug'          =>          'users.superadministrators',
            'description'   =>          'Listar todos los Super Administradores'
        ]);

        Permission::create([
            'name'          =>          'Listar Administradores',
            'slug'          =>          'users.dministrators',
            'description'   =>          'Listar todos los Administradores'
        ]);

        Permission::create([
            'name'          =>          'Listar Administradores Ventas',
            'slug'          =>          'users.salesmanager',
            'description'   =>          'Listar todos los Administradores Ventas'
        ]);

        Permission::create([
            'name'          =>          'Listar Administradores Proveedores',
            'slug'          =>          'users.provideradministrator',
            'description'   =>          'Listar todos los Administradores Proveedores'
        ]);

        Permission::create([
            'name'          =>          'Listar Vendedores Costos',
            'slug'          =>          'users.sellerscosts',
            'description'   =>          'Listar todos los Vendedores con costos'
        ]);

        Permission::create([
            'name'          =>          'Listar Vendedores',
            'slug'          =>          'users.sellers',
            'description'   =>          'Listar todos los Vendedores'
        ]);

        Permission::create([
            'name'          =>          'Listar Clientes Costos',
            'slug'          =>          'users.customerscosts',
            'description'   =>          'Listar todos los Clientes con costos'
        ]);

        Permission::create([
            'name'          =>          'Listar Clientes',
            'slug'          =>          'users.customers',
            'description'   =>          'Listar todos los Clientes'
        ]);

        Permission::create([
            'name'          =>          'Listar Usuarios Suspendidos',
            'slug'          =>          'users.suspended',
            'description'   =>          'Listar todos los Usuarios Suspendidos'
        ]);
    }
}
