<?php

use Illuminate\Database\Seeder;
use Caffeinated\Shinobi\Models\Permission;

class PermissionsUserTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
    	/*
            Superadministrador
            Administrador
        */
        Permission::create([
    		'name'			=>			'Listar usuarios',
    		'slug'			=>			'users.index',
    		'description'	=>			'Listara todos los usuarios'
    	]);

        /*
            Superadministrador
            Administradorventas
        */
        Permission::create([
            'name'          =>          'Listar usuarios administrador ventas',
            'slug'          =>          'users.usersAdminSales',
            'description'   =>          'Listara todos los usuarios de un administrador ventas'
        ]);

        /*
            Superadministrador
            Vendedores
        */
        Permission::create([
            'name'          =>          'Listar usuarios de un vendedor',
            'slug'          =>          'users.usersSeller',
            'description'   =>          'Listara todos los usuarios de un vendedor'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar superadministradores',
            'slug'          =>          'users.getAllSuperAdministrators',
            'description'   =>          'Listara todos los usuarios de tipo superadministrador'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar administradores',
            'slug'          =>          'users.getAllAdministrators',
            'description'   =>          'Listara todos los usuarios de tipo administrador'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar administradores de ventas',
            'slug'          =>          'users.getAllSalesManager',
            'description'   =>          'Listara todos los usuarios de tipo administrador ventas'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar administradores Proveedores',
            'slug'          =>          'users.getAllProvidersAdministrators',
            'description'   =>          'Listara todos los usuarios de tipo administrador proveedor'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar los vendedores costos',
            'slug'          =>          'users.getAllSellersCosts',
            'description'   =>          'Listara todos los usuarios de tipo vendedores costos'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar los vendedores sin costos',
            'slug'          =>          'users.getAllSellers',
            'description'   =>          'Listara todos los usuarios de tipo vendedores sin costos'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar los clientes costos',
            'slug'          =>          'users.getAllCustomersCosts',
            'description'   =>          'Listara todos los usuarios de tipo cliente costos'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar los clientes sin costos',
            'slug'          =>          'users.getAllCustomers',
            'description'   =>          'Listara todos los usuarios de tipo clientes sin costos'
        ]);

        /*
            Superadministradores
            Administradores
        */
        Permission::create([
            'name'          =>          'Listar los usuarios suspendidos',
            'slug'          =>          'users.getAllUsersSuspended',
            'description'   =>          'Listara todos los usuarios de tipo suspendido'
        ]);

        /*
            Superadministrador
            Administrador
            Administrador Ventas
            Vendedore Costos
            Vendedores
        */
        Permission::create([
            'name'          =>          'Crear usuarios',
            'slug'          =>          'users.store',
            'description'   =>          'Crear usuarios'
        ]);

        /*
            Superadministrador
            Administrador
            Administrador Ventas
            Vendedore Costos
            Vendedores
        */
        Permission::create([
            'name'          =>          'Buscar usuarios',
            'slug'          =>          'users.search',
            'description'   =>          'Buscar usuarios'
        ]);

        /*
            Superadministrador
            Administrador
        */
        Permission::create([
            'name'          =>          'Eliminar usuario',
            'slug'          =>          'users.destroy',
            'description'   =>          'Eliminar usuarios'
        ]);


        /*
        No es necesario guardarlo ya que el controlador hace la validacion de que usuario se trata de modificar
        Todos los roles pueden actualizar su usuario
            Superadministrador
            Administrador
            Administrador Ventas
            Vendedore Costos
            Vendedores
            Clientes
            Clientes Costos
        */
        // Permission::create([
        //     'name'          =>          'Actualizar usuarios',
        //     'slug'          =>          'users.update',
        //     'description'   =>          'Actualizar usuarios segun rol / Actualizar Usuario logeado'
        // ]);

    }
}
